### Property

# SpiceClientGLib MainChannel:mouse-mode

#### Declaration

    property mouse-mode: int [ read ]

#### Description [src]

Spice protocol specifies two mouse modes, client mode and server mode. In client mode (`SPICE_MOUSE_MODE_CLIENT`), the affective mouse is the client side mouse: the client sends mouse position within the display and the server sends mouse shape messages. In server mode (`SPICE_MOUSE_MODE_SERVER`), the client sends relative mouse movements and the server sends position and shape commands.

Type:`gint`

Default value | 0

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no